gnustep-dl2 (0.12.0+git20250112-2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 23:12:23 +0100

gnustep-dl2 (0.12.0+git20250112-2) unstable; urgency=medium

  * debian/control (Build-Depends): Replace librenaissance0-dev with
    librenaissance-dev so that the former can be dropped in forky.
    (Standards-Version): Claim compliance with 4.7.2; no changes needed.
    (libgnustep-dl2-dev) <Conflicts>: Add libsope-dev.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 07 Mar 2025 06:56:09 +0200

gnustep-dl2 (0.12.0+git20250112-1) unstable; urgency=medium

  * New upstream snapshot:
    + Fixes FTBFS with gnustep-base/1.31.0 (Closes: #1096111).
  * debian/patches/libgorm-rename.patch: Delete; fixed upstream.
  * debian/patches/palette-loading.patch: New; fix loading of the Gorm
    palette which was failing due to an undefined symbol as it was
    including headers from the old EOModeler library.  This doesn't make
    the palette useful (missing functionality in the rewritten EOModeler
    library must be reimplemented) but at least avoids an exception
    (caught by Gorm which pops up an error message).
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 17 Feb 2025 19:41:05 +0200

gnustep-dl2 (0.12.0+git20171224-5) unstable; urgency=medium

  * debian/control (libgnustep-dl2-0deb) <Breaks>: Add
    steptalk-gdl2-module (<< 0.10.0+git20200629-3) to assist britney.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 10 Feb 2025 15:07:51 +0200

gnustep-dl2 (0.12.0+git20171224-4) unstable; urgency=medium

  * debian/control (Uploaders): Add myself.
    (Build-Depends): Require libinterfacebuilder-dev (>= 1.4.0-6) for the
    multiarch layout.  Remove gorm.app (now unnecessary and useless in a
    cross build) and gnustep-make (implied by the dependency chain).
    (gnustep-dl2-postgresql-adaptor, gnustep-dl2-sqlite-adaptor)
    (libgnustep-dl2-deb0, libgnustep-dl2-dev): Mark as Multi-Arch: same.
  * debian/gnustep-dl2.install: Update for the multiarch layout.
  * debian/gnustep-dl2-postgresql-adaptor.install: Likewise.
  * debuan/gnustep-dl2-sqlite-adaptor.install: Likewise.
  * debian/libgnustep-dl2-0deb.install: Likewise.
  * debian/libgnustep-dl2-dev.install: Likewise.
  * debian/not-installed: Likewise.
  * debian/rules (private_dir, palette): New variables.
    (DEB_CPPFLAGS_MAINT_APPEND): Define to -DDEBUG for --GNU-Debug.
    (DEB_LDFLAGS_MAINT_APPEND): Install private libraries in a multiarch
    path so that the adaptors can be marked M-A: same.  EOAccess requires
    them and the sole reason that libgnustep-dl2-0deb is declaring only a
    Recommends relationship is to avoid circular dependencies.
    (override_dh_auto_install): Update for multiarch.
    (execute_before_dh_link): Replace --no-move with --app --appsupport
    for the gnustep-dl2 package; simplifies packaging a bit.
    (override_dh_fixperms-arch): Update following dh_gnustep usage above.
  * debian/tests/tools: Update for multiarch (Closes: #1094001).  Build
    with hardening flags to avoid blhc error; support "terse".
  * debian/gnustep-dl2.links: Delete; job delegated to dh_gnustep.
  * debian/upstream/metadata: New file.
  * debian/copyright: Add Upstream-Contact; update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 04 Feb 2025 11:10:46 +0200

gnustep-dl2 (0.12.0+git20171224-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/control (Build-Depends-Indep): Annotate all with <!nodoc>.
    (Build-Depends): Add gnustep-make (>= 2.9.2-2) for new dh_gnustep.
    (Homepage): Use the GDL article at mediawiki.gnustep.org; the old page
    is no longer available.
  * debian/rules (override_dh_auto_install): Don't delete the stamp.make
    file; dh_gnustep should take care of that.
    (execute_before_dh_link): New target; invoke gsdh_gnustep with the
    appropriate options to get bug-script symlinks.
  * debian/gnustep-dl2.install: Install everything but app's Resources.
  * debian/gdlgsdoc.1: Use "LGPL-3 or later" instead of "LGPL-3+" as
    licensecheck apparently cannot parse it.
  * debian/copyright: Use ftp.gnustep.org as Source; add 2-clause BSD for
    two files which have two method definitions originally under this
    license.  Add original authors as copyright holders.
  * debian/NEWS: New file; add forgotten entry about DBModeler's
    retirement and its replacement.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 09 Jul 2024 20:43:43 +0300

gnustep-dl2 (0.12.0+git20171224-2) experimental; urgency=medium

  * debian/control (libgnustep-dl2-0deb) <Breaks, Replaces>: Fix thinko in
    package name (Closes: #1074616).

 -- Yavor Doganov <yavor@gnu.org>  Tue, 02 Jul 2024 11:40:24 +0300

gnustep-dl2 (0.12.0+git20171224-1) experimental; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * debian/gbp.conf: New file.
  * debian/patches/implicit-func-decl.patch: Delete; fixed upstream.
  * debian/patches/fix_missing_include_for_NSArray.diff: Likewise.
  * debian/patches/581934.patch: Likewise.
  * debian/patches/618181.patch: Likewise.
  * debian/patches/629204.patch: Likewise.
  * debian/patches/gcc-4.7.patch: Likewise.
  * debian/patches/dbmodeler.patch: Delete; unnecessary now when the
    DBModeler application is no longer built.
  * debian/patches/base-1.29.patch: Delete; no longer applicable.
  * debian/patches/avoid_unresolved_symbols.diff: Remove hunks applied
    upstream; update and refresh.
  * debian/patches/spelling-errors.patch: Likewise.
  * debian/patches/fix_documentation_generation.diff: Refresh.
  * debian/patches/format-security.patch: Likewise.
  * debian/patches/libgorm-rename.patch: New; link with InterfaceBuilder.
  * debian/patches/tests.patch: New; fix some issues with the tests.
  * Run wrap-and-sort -ast.
  * debian/control (Build-Depends): Replace libgorm-dev with
    libinterfacebuilder-dev.  Add gorm.app (>= 1.4) for a GormCore header.
    Add postgresql <!nocheck> to test the Trading example.
    (Build-Depends-Indep): Move texinfo and texlive-latex-base here.  Add
    gnustep-base-doc and gnustep-gui-doc for cross-document links.
    (gnustep-dl2) <Depends>: Add libgnustep-dl2-0deb (= ${binary:Version}).
    <Recommends>: Add gnustep-dl2-doc.
    <Description>: Mention what the package contains.
    (gnustep-dl2-doc): New package; move documentation and examples here.
    (libgnustep-dl2-0d): Rename package to...
    (libgnustep-dl2-0deb): ...due to ABI breakage.  Add Breaks + Replaces.
    (libgnustep-dl2-dev) <Depends>: Depend on the new library package.
    <Suggests>: Add gnustep-dl2-doc.
    (gnustep-dl2-postgresql-adaptor) <Depends>: Add strict dependency on
    the new library.
    (gnustep-dl2-sqlite-adaptor) <Depends>: Likewise.
    (Standards-Version): Bump to 4.7.0; no changes needed.
  * debian/gnustep-dl2.install: Ship everything in /usr/bin.  Remove
    EOModeler; add usr/lib/gnustep-dl2/libEOModeler*.  Remove manual in
    various formats; now shipped in gnustep-dl2-doc.
  * debian/gnustep-dl2.links: Replace DBModeler with EOModelEditor.  Do
    not create EOModeler symlink.  Remove documentation links.
  * debian/rules (DEB_LDFLAGS_MAINT_APPEND): Define to help linking with
    the private libraries.
    (docs): Reset variable (set in config.mk) if it's an arch:any build.
    (soname): New variable; define Debian-specific INTERFACE_VERSION.
    (override_dh_auto_configure): Remove override; --disable-examples is
    the default so there's no need to specify it.
    (override_dh_auto_build): Don't set ADDITIONAL_OBJCFLAGS; not needed.
    Use $(soname) for the public libraries.  Use $(docs) instead of
    doc=yes to support "nodoc" in DEB_BUILD_OPTIONS.
    (override_dh_auto_install): Convert EOModelEditor's icon.  Use
    $(soname).  Install EOModeler and the adaptor frameworks as private
    libraries.  Use $(docs) instead of doc=yes; conditionally create
    .install/.links files for the -doc package.
    (override_dh_auto_clean): Use $(docs); delete generated
    .install/.links files for gnustep-dl2-doc.
    (override_dh_auto_test): New; run our improvised testsuite.
    (override_dh_fixperms-arch): New; fix three lintian warnings
    executable-not-elf-or-script and I: image-file-has-conflicting-name.
    (override_dh_makeshlibs): Don't exclude EOAdaptor, doesn't exist.
    Skip trigger creation for gnustep-dl2 (EOModeler is now a private
    library).  Add call with --remaining-packages.
  * debian/DBModeler.desktop: Rename as...
  * debian/EOModelEditor.desktop: ...and adjust icon + executable.
  * debian/DBModeler.1: Rename as...
  * debian/EOModelEditor.1: ...use the new name; add a copyright notice.
  * debian/gdlgsdoc.1: New file; add manpage for the gdlgsdoc tool.
  * debian/gnustep-dl2.manpages: Replace DBModeler.1 with EOModelEditor.1.
    Add gdlgsdoc.1.
  * debian/libgnustep-dl2-0d.install: Rename as...
  * debian/libgnustep-dl2-0deb.install: ...following the package rename.
  * debian/libgnustep-dl2-0d.lintian-overrides: Rename as...
  * debian/libgnustep-dl2-0deb.lintian-overrides: ...and change the
    package name.
  * debian/not-installed: Add EOModeler headers, PostgreSQLEOAdaptor
    headers and documentation (as advised by upstream).  Remove gdlgsdoc.
  * debian/gnustep-dl2.lintian-overrides: Delete; warnings fixed now.
  * debian/gnustep-dl2-postgresql-adaptor.lintian-overrides: Likewise.
  * debian/gnustep-dl2-sqlite-adaptor.lintian-overrides: Likewise.
  * debian/gnustep-dl2-postgresql-adaptor.maintstript: Delete; was
    only necessary to facilitate bullseye -> bookworm upgrades.
  * debian/gnustep-dl2-sqlite-adaptor.maintscript: Likewise.
  * debian/gnustep-dl2-postgresql-adaptor.install: Remove headers and
    documentation; change library directory to usr/lib/gnustep-dl2.
  * debian/gnustep-dl2-sqlite-adaptor.install: Change library directory to
    usr/lib/gnustep-dl2.
  * debian/upstream/signing-key.asc: Re-export as minimal.
  * debian/libgnustep-dl2-dev.doc-base: Rename as...
  * debian/gnustep-dl2-doc.doc-base.gdl2api: ...and amend Index/Files.
  * debian/gnustep-dl2.doc-base: Rename as...
  * debian/gnustep-dl2-doc.doc-base.gdl2intro: ...likewise.
  * debian/gnustep-dl2.examples: Rename as...
  * debian/gnustep-dl2-doc.examples: ...following the move of examples.
    Add Tools/eomodeltemplate.gsdoc, a template for gdlgsdoc.
  * debian/libgnustep-dl2-dev.install: Remove API documentation.
  * debian/libgnustep-dl2-dev.links: Delete; contains only doc links.
  * debian/gnustep-dl2-doc.install.in: New file.
  * debian/gnustep-dl2-doc.links.in: Likewise.
  * debian/watch: Use ftp.gnustep.org with the HTTPS protocol.
  * debian/tests/tools: Add autopkgtest to test the tools/examples.
  * debian/tests/control: New file.
  * debian/copyright: Update copyright years, add another copyright
    holder.  Indicate that the EOModelEditor app and the GDL2 palette are
    under GPL-3.0+.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 30 Jun 2024 14:10:20 +0300

gnustep-dl2 (0.12.0-16) unstable; urgency=medium

  * Team upload.
  * debian/patches/base-1.29.patch: New; fix FTBFS with
    gnustep-base/1.29.0 (Closes: #1028577).
  * debian/patches/implicit-func-decl.patch: New, fix implicit function
    declaration (patch taken from upstream).
  * debian/patches/spelling-errors.patch: New, fix some spelling errors.
  * debian/control: Strip trailing whitespace.
    (Build-Depends): Switch to the debhelper-compat mechanism; set compat
    level to 13.  Remove autotools-dev.  Remove libgnustep-gui-dev; pulled
    in by other dependencies.
    (Depends): Remove dpkg (>= 1.17.14); no longer needed.
    (Conflicts, Replaces): Remove; obsolete.
    (Vcs-Git, Vcs-Browser): Point to the repository at salsa.d.o.
    (Rules-Requires-Root): Set to "no".
    (Standards-Version): Claim compliance with 4.6.2.
  * debian/compat: Delete.
  * debian/rules: Drop --with autotools_dev.  Enable hardening.  Use
    $(optim) and $(verbose) where necessary in order to support "noopt"
    and "terse" in DEB_BUILD_OPTIONS.
    (override_dh_auto_build): Do not create a .xpm icon.
    (override_dh_auto_install): Delete unusable upstream .desktop file,
    empty directories and symlinks pointing to them.  Create a .png icon.
    (override_dh_strip): Remove override; we _want_ dbgsym packages.
    (override_dh_fixperms): Remove override; now unnecessary since the
    upstream .desktop file is deleted.
  * debian/libgnustep-dl2-dev.install: Install .gsdoc files.
  * debian/gnustep-dl2.install: Add usr/share/info so that the manual gets
    installed by the upstream build system, otherwise dh_missing fails.
    Restore installation of eoutil and app; although buggy they're still
    usable (and the app gets installed in /usr/lib anyway).  Install
    the .desktop file.  Don't install the .xpm icon.
  * debian/gnustep-dl2.info: Delete.
  * debian/gnustep-dl2.manpages: Uncomment both manpages.
  * debian/gnustep-dl2-postgresql-adaptor.install: Add documentation and
    headers; simplify.
  * debian/gnustep-dl2-postgresql-adaptor.links: Delete; there is no point
    to move anything to /usr/share -- it should be installed as usually
    GNUstep Frameworks are installed in Debian.
  * debian/gnustep-dl2-postgresql-adaptor.maintscript: Revert
    dir_to_symlink/symlink_to_dir transition; this makes the login panel
    usable again and avoids shipping an executable in /usr/share.
  * debian/gnustep-dl2-postgresql-adaptor.lintian-overrides: Remove
    arch-dependent-file-in-usr-share as it was legitimate.  Add
    lacks-ldconfig-trigger.
  * debian/gnustep-dl2-sqlite-adaptor.install: Simplify.
  * debian/gnustep-dl2-sqlite-adaptor.links: Delete; same reasons as
    above for the postgresql adaptor.
  * debian/gnustep-dl2-sqlite-adaptor.maintscript: Revert actions
    analogically to the postgresql adaptor above.  Likewise, this makes
    the login panel usable again and avoids an executable in /usr/share.
  * debian/gnustep-dl2-sqlite-adaptor.dirs: Delete; entirely unnecessary.
  * debian/gnustep-dl2-sqlite-adaptor.lintian-overrides: Remove
    package-contains-empty-directory (now fixed) and
    arch-dependent-file-in-usr-share (wrongly overridden).  Add
    lacks-ldconfig-trigger.
  * debian/gnustep-dl2.maintscript: Delete; no longer needed.
  * debian/DBModeler.desktop: Use the .png icon, for AppStream's sake.
  * debian/source/options: Delete; no longer needed.
  * debian/changelog: Strip trailing whitespace.
  * debian/gnustep-dl2.lintian-overrides: Rename
    non-dev-pkg-with-shlib-symlink to
    link-to-shared-library-in-wrong-package (tag renamed in Lintian).
  * debian/eoutil.1: Fix spelling error.
  * debian/gnustep-dl2.symbols: Delete; harmful for ObjC libraries.
  * debian/libgnustep-dl2-0d.symbols: Likewise.
  * debian/not-installed: New file; omit gdlgsdoc and its documentation.
  * debian/gnustep-dl2.doc-base: Point to symlinks in /usr/share/doc.
  * debian/gnustep-dl2.links: Create doc symlinks in /usr/share/doc.
  * debian/libgnustep-dl2-dev.doc-base: Point to symlinks in
    /usr/share/doc as required by doc-base and lintian.
  * debian/libgnustep-dl2-dev.links: New file; create doc symlinks.
  * debian/copyright: Add two more holders, update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 19 Feb 2023 18:09:36 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gnustep-dl2-doc`.
